$AdfDhtmlCarouselPeer$$.$_SUB_ID_MAP$ = {spinPrevious:"sp", spinNext:"sn", itemText:"it"};
$AdfDhtmlCarouselPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlCarouselPeer$$$$$GetSubIdDomElement$$($subElementIdLocator$$1$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementIdLocator$$1$$);
  var $component$$1803$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementIdLocator$$1$$, $AdfDhtmlCarouselPeer$$.$_SUB_ID_MAP$, $component$$1803$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCarouselPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlCarouselPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlCarouselPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlCarouselPeer$$$$$GetBestMatchSubId$$($domElement$$542$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$542$$, this, $AdfDhtmlCarouselPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCarouselPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlCarouselPeer$$.prototype.$GetBestMatchSubId$});
